VFS_AIO_PTHREAD(8)

NAME
vfs_aio_pthread - implement async open in Samba vfs using a pthread pool

SYNOPSIS

vfs objects = aio_pthread

DESCRIPTION

This VFS module is part of thesamba(7) suite.

The aio_pthread VFS module enables asynchronous opens (for new files) with aio_pthread:aio open = yes on platforms which have the pthreads API available, support the openat() syscall and support per thread credentials (modern Linux kernels).

The module makes use of the global thread pool which uses theaio max threads option.

This module MUST be listed last in any module stack as the Samba VFS open interface is not thread-safe. This module makes direct openat() system calls and does NOT call the Samba VFS open interfaces.

EXAMPLES

Straight forward use:
        [cooldata]
	path = /data/ice
	vfs objects = aio_pthread
	aio_pthread:aio open = yes

OPTIONS

aio_pthread:aio open = BOOL
    Try async opens for creating new files. The default is 'no'.

VERSION

This man page is part of version 4.16.4 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.